Subject: CoolView released...
From: [email-masked] (Sergey Okhapkin)

16 Jul 1997 02:33:55 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC91E5.F67B3820.cygnus.gnu-win32@sos>
Original-To: "'gnu-win32'" <[email-masked]>
Encoding: 35 TEXT
Original-Sender: [email-masked]

Hi!

- NT only: new family of exec() calls - sexec/sexecl etc - the same as exec()
family, but runs a process in the security context of the specified user.
The first argument (hToken) is a primary (not impersonation) token of the
logged on user.
- CTRL_LOGOFF_EVENT is ignored by cygwin apps now. It's neccessary to run
cygwin app as NT service.
- fixed a problem with socket inheritance on Windows 95.

 The archive remote.tar.gz contains a remote access suite for cygwin - rxvt X terminal
emulator (You need cygwin-compiled X11R6.3 distribution to be installed to
/usr/X11R6.3 to run rxvt), inetd, telnetd and login. The login program is for
NT only. Unapck the archive to /usr directory. How to run inetd:

Windows 95: rename /usr/local/bin/login.w95 to /usr/local/bin/login. Run
/usr/local/sbin/inetd -d. WARNING: provided "login" script does not makes
any authentication of remote user! Write Your own login program.

Windows NT: remove "Simple TCP/IP services" (if any) - inetd have the
same functionality built-in. Start /usr/local/sbin/inetd as a service using
srvany utility from Windows NT Resource Kit, or freeware AutoexNT utility. Inetd
should be started with "-d" option (see corresponding manuals how to provide
command line options for started applications). You will have no easy ability to
stop inetd service running without -d option (kill from resource kit will help you).
The account of a service must have a valid cygwin's mount table.

That's all... Sorry, but I have no money to continue a work just for my pleasure...

Happy telnetting :-)

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".